package test.sound;

import android.app.Activity;
import android.media.AudioManager;
import android.media.MediaPlayer;
import android.media.SoundPool;
import android.media.SoundPool.OnLoadCompleteListener;
import android.os.Bundle;
import android.view.Menu;
import android.view.MenuItem;
import android.view.View;
import android.view.View.OnClickListener;

public class MainActivity extends Activity {

	@Override
	protected void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.activity_main);

		findViewById(R.id.button_sound_pool).setOnClickListener(onSoundPoolButtonClick);
		findViewById(R.id.button_media_player).setOnClickListener(onMediaPlayerButtonClick);
	}

	@Override
	public boolean onCreateOptionsMenu(Menu menu) {
		// Inflate the menu; this adds items to the action bar if it is present.
		getMenuInflater().inflate(R.menu.main, menu);
		return true;
	}

	@Override
	public boolean onOptionsItemSelected(MenuItem item) {
		// Handle action bar item clicks here. The action bar will
		// automatically handle clicks on the Home/Up button, so long
		// as you specify a parent activity in AndroidManifest.xml.
		int id = item.getItemId();
		if (id == R.id.action_settings) {
			return true;
		}
		return super.onOptionsItemSelected(item);
	}

	private OnClickListener onSoundPoolButtonClick = new OnClickListener() {
		@Override
		public void onClick(View v) {
			playSoundPool();
		}
	};

	private OnClickListener onMediaPlayerButtonClick = new OnClickListener() {
		@Override
		public void onClick(View v) {
	    	playMediaPlayer();    	
		}
	};

	private void playSoundPool() {
		int MAX_STREAMS = 2;
		SoundPool soundPool = new SoundPool(MAX_STREAMS, AudioManager.STREAM_MUSIC, 0);
		soundPool.setOnLoadCompleteListener(new OnLoadCompleteListener() {
	        @Override
	        public void onLoadComplete(SoundPool soundPool, int soundId, int status) {
				int loop = 0;
				int priority = 0;
				float rate = 1.f;
				soundPool.play(soundId, 0.99f, 0.99f, priority, loop, rate);    	        	
	    	}
	    });
		soundPool.load(this, R.raw.test, 1);
	}

	private void playMediaPlayer() {
		MediaPlayer mediaPlayer = MediaPlayer.create(this, R.raw.test);
		mediaPlayer.setVolume(1, 1);
    	mediaPlayer.start();
	}
}
